function Group() {
    var self = this;

    this.students = {};

    this.push = function (student, transfered) {
        this.students[+student.ID] = student;
        this.students[+student.ID].transfered = transfered;
    };

    this.exists = function(id) {
        return (id in this.students);
    };

    this.pop = function (id) {
        var rec = (id in this.students) ? this.students[id] : {};
        delete this.students[id];
        return rec;
    };

    this.getIDs = function () {
        return Object.keys(this.students);
    };

    this.peek = function (id) {
        return (id in this.students) ? this.students[id] : {};
    };

    this.setList = function (data) {
        data.forEach(function (student) {
            self.push(student, false);
        });
    };

    this.clear = function () {
        this.students = {};
    };
}

